// modellierung.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "Ecopay.h"
#include "modellierung.h"
#include "kosten.h"
#include "oekologie.h"
#include "pixel.h"
#include "massnahme.h"

// modellierung-Dialogfeld

IMPLEMENT_DYNAMIC(modellierung, CDialog)

modellierung::modellierung(CWnd* pParent /*=NULL*/)
: CDialog(modellierung::IDD, pParent)
, gruenlandzahl(0)
{

}

modellierung::~modellierung()
{
}

void modellierung::DoDataExchange( CDataExchange* pDX)
{
    CDialog::DoDataExchange( pDX);
    DDX_Control( pDX, IDC_LIST4W, m_liste4W);
    DDX_Control( pDX, IDC_LIST6W, m_liste6W);
    DDX_Control( pDX, IDC_LIST8W, m_liste8W);
    DDX_Control( pDX, IDC_LIST10W, m_liste10W);
    DDX_Control( pDX, IDC_LIST1Schnitt, m_liste1schnitt);
}

BEGIN_MESSAGE_MAP(modellierung, CDialog)
ON_EN_KILLFOCUS(IDC_gruenlandzahl, &modellierung::OnEnKillfocusgruenlandzahl)
ON_BN_CLICKED(IDC_Modelieren, &modellierung::OnBnClickedModelieren)
END_MESSAGE_MAP()

// modellierung-Meldungshandler

void modellierung::OnEnKillfocusgruenlandzahl()
{


    CString gz;

    GetDlgItem(IDC_gruenlandzahl)->GetWindowText(gz);

    gruenlandzahl = atoi(gz);

}

void modellierung::OnBnClickedModelieren()
{

    /*
     kosten kostenb;
     CString str;
     int i;
     i = 19;
     int ref = kostenb.berechne_referenz(gruenlandzahl);
     str.Format(_T("%d"),ref);
     GetDlgItem(IDC_Referenz)->SetWindowTextA(str);
     double kost4, kost6, kost8,kost10,kost1schnitt;
     m_liste4W.ResetContent();
     m_liste6W.ResetContent();
     m_liste8W.ResetContent();
     m_liste10W.ResetContent();
     m_liste1schnitt.ResetContent();

     kostenb.get_kosten_from_database("3schnitt_450FM");

     while ( i< 35)
     {
     
     kost4 = kostenb.berechne_2schnitt(gruenlandzahl,i, 4, 1);
     str.Format(_T("%.f"),kost4);
     m_liste4W.AddString(str);
     kost6 = kostenb.berechne_2schnitt(gruenlandzahl,i, 6, 1);
     str.Format(_T("%.f"),kost6);
     m_liste6W.AddString(str);
     kost8 = kostenb.berechne_2schnitt(gruenlandzahl,i, 8, 1);
     str.Format(_T("%.f"),kost8);
     m_liste8W.AddString(str);
     kost10 = kostenb.berechne_2schnitt(gruenlandzahl,i, 10, 1);
     str.Format(_T("%.f"),kost10);
     m_liste10W.AddString(str);
     
     kost1schnitt = kostenb.berechne_1schnitt(gruenlandzahl,i,1);
     str.Format(_T("%.f"),kost1schnitt);
     m_liste1schnitt.AddString(str);

     i++;
     }

     str.Format(_T("%.2f"),kostenb.saatgutkosten);
     SetDlgItemText(IDC_Saatgut,str);
     str.Format(_T("%.2f"),kostenb.diesel);
     SetDlgItemText(IDC_Diesel,str);
     /*
     oekologie oek;
     double wuchsh = oek.wuchshoehe(40, 18,19);
     str.Format(_T("%.2f"),wuchsh);
     AfxMessageBox(str,MB_YESNO,0);
     */

}
